PPI::Structure::Given(3pm)

NAME
PPI::Structure::Given - Circular braces for a switch statement

SYNOPSIS
  given ( something ) {
      ...
  }

INHERITANCE
  PPI::Structure::Given
  isa PPI::Structure
      isa PPI::Node
          isa PPI::Element

DESCRIPTION
"PPI::Structure::Given" is the class used for circular braces that contain the thing to be matched in a switch statement.

METHODS
"PPI::Structure::Given" has no methods beyond those provided by the standard PPI::Structure, PPI::Node and PPI::Element methods.

SUPPORT
See the support section in the main module.

AUTHOR
Adam Kennedy <adamk@cpan.org>

COPYRIGHT
Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.